boost::geometry::strategy::transform::scale_transformer< CalculationType, Dimension1, Dimension2 > Class Template Reference
strategies: strategies

Strategy of scale transformation in Cartesian system. More...

## Detailed Description

### template<typename CalculationType, std::size_t Dimension1, std::size_t Dimension2>
class boost::geometry::strategy::transform::scale_transformer< CalculationType, Dimension1, Dimension2 >

Strategy of scale transformation in Cartesian system.

Scale scales a geometry up or down in all its dimensions.

See also:
  http://en.wikipedia.org/wiki/Scaling_%28geometry%29

Template Parameters:

  Dimension1 | number of dimensions to transform from
  Dimension2 | number of dimensions to transform to

Examples:
  06_b_transformation_example.cpp.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK